Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I need to enable CONFIG_LIBIPW=m on kernel 3.4.0 enter image description here

I see that IPW2100, IPW2200, and PCI needs to be enabled, but I could not find any clue where they are on the menuconfig. I read on http://cateee.net/lkddb/web-lkddb/LIBIPW.html that LIBIPW is defined at drivers/net/wireless/ipw2x00/Kconfig. Herebelow is the drivers/net/wireless on menuconfig, but there is no such ipw2x00 option. I enabled all possible options on the wireless menu, but nothing changes.

enter image description here

.config file does not have CONFIG_LIBIPW. if I add CONFIG_LIBIPW to .config manually, then do make, manually added lines are deleted.

Could anyone help me how I should enable the CONFIG_LIBIPW?

share|improve this question

migrated from stackoverflow.com May 26 '13 at 11:58

This question came from our site for professional and enthusiast programmers.

2  
Look at the Selected by: line and make one of those conditions true. It will then be automatically selected. For instance, IPW2100 and PCI. Just type / followed by IPW2100 to find them. See kconfig.txt –  artless noise May 26 '13 at 0:46

1 Answer 1

up vote 1 down vote accepted

CONFIG_LIBIPW is not a user-visible prompted symbol in make menuconfig. However, it'll automatically be selected if you enable CONFIG_IPW2100 or CONFIG_IPW2200 via make menuconfig.

Unfortunately, the options to enable CONFIG_IPW2100 (Intel PRO/Wireless 2100 Network Connection) and CONFIG_IPW2200 (Intel PRO/Wireless 2100 Network Connection) are missing in your screenshot. Typically, if you do not select all the required dependencies, the option will not appear in the menu.

You mentioned that you were not able to enable CONFIG_PCI. Since CONFIG_PCI is a required dependency of both CONFIG_IPW2100 and CONFIG_IPW2200, you should make sure it's enabled. The prompt to enable CONFIG_PCI is: Bus options (PCI etc.) --> PCI Support.

Furthermore, verify that any other dependencies are enabled.

  1. CONFIG_IPW2100 requires:
    • CONFIG_CFG80211
      • Networking Support --> Wireless --> cfg80211 - wireless configuration API
  2. CONFIG_IPW2200 requires:
    • CONFIG_CFG80211
      • Networking Support --> Wireless --> cfg80211 - wireless configuration API
    • CONFIG_CFG80211_WEXT
      • Networking Support --> Wireless --> cfg80211 - wireless configuration API --> cfg80211 wireless extensions compatibility

Note: while you can technically enable everything by hand via the .config file, you're likely to encounter dependency hell if you try.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.